Public Member Functions | Public Attributes | Private Member Functions | List of all members
StarObjectInternal::State Struct Reference

the state of a StarObject More...

## Public Member Functions
| State ()
| constructor
| State (State const &)=default
| copy constructor

## Public Attributes
std::vector< std::shared_ptr< StarItemPool > > | m_poolList
| the list of pool
std::shared_ptr< StarAttributeManager > | m_attributeManager
| the attribute manager
std::shared_ptr< StarFormatManager > | m_formatManager
| the format manager
librevenge::RVNGString | m_userMetaNames [4]
| the list of user name

## Private Member Functions
State | operator= (State const &)=delete

## Detailed Description

the state of a StarObject

## Constructor & Destructor Documentation

## ◆ State() [1/2]

StarObjectInternal::State::State | ( |  | ) |
| inline

constructor

## ◆ State() [2/2]

StarObjectInternal::State::State | ( | State const & |  | ) |
| default

copy constructor

## Member Function Documentation

## ◆ operator=()

State StarObjectInternal::State::operator= | ( | State const & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_attributeManager

std::shared_ptr<StarAttributeManager> StarObjectInternal::State::m_attributeManager

the attribute manager

## ◆ m_formatManager

std::shared_ptr<StarFormatManager> StarObjectInternal::State::m_formatManager

the format manager

## ◆ m_poolList

std::vector<std::shared_ptr<StarItemPool> > StarObjectInternal::State::m_poolList

the list of pool

## ◆ m_userMetaNames

librevenge::RVNGString StarObjectInternal::State::m_userMetaNames[4]

the list of user name

The documentation for this struct was generated from the following file:

- StarObject.cxx